﻿using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Model.DTO;
using Services;

namespace API.Controllers
{
    [Route("api/[controller]")]
    [Authorize]
    [ApiController]
    public class InquiriesController : Controller
    {
        private IDataService _inquiryDataService;

        public InquiriesController(IDataService inquiryDataService)
        {
            _inquiryDataService = inquiryDataService;
        }

        [HttpGet("inquiries/{page}/{number}")]
        public IActionResult GetInquiries(int page, int number)
        {
            return Ok(_inquiryDataService.GetInquiries(page, number));
        }
    }
}